
Name:           uacme
Version:        1.7.3
Release:        1
Summary:        Lightweight SSL certificate verification and issue client

License:        GPLv3
URL:            https://github.com/ndilieto/uacme
Source0:        %{url}/archive/refs/tags/upstream/%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  asciidoc
BuildRequires:  gnutls-devel
BuildRequires:  libcurl-devel
BuildRequires:  libev-devel
BuildRequires:  which
Requires:       curl
Requires:       gnutls
Requires:       libev

%description
A lightweight client for the RFC8555 ACMEv2 protocol, 
written in plain C with minimal dependencies. The 
ACMEv2 protocol allows a Certificate Authority and an 
applicant to automate the process of verification and 
certificate issuance. The protocol also provides 
facilities for other certificate management functions, 
such as certificate revocation.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}


%description devel
The %{name}-devel package contains libraries and header files for	
developing applications that use %{name}.


%prep
%autosetup -n %{name}-upstream-%{version}
# remove bundled library
rm -rvf libev

%build
%{set_build_flags}; \
%{_configure} --host=%{_host} --build=%{_build} \
      --program-prefix=%{?_program_prefix} \
      --disable-dependency-tracking \
      --prefix=%{_prefix} \
      --exec-prefix=%{_exec_prefix} \
      --bindir=%{_bindir} \
      --sbindir=%{_sbindir} \
      --sysconfdir=%{_sysconfdir} \
      --datadir=%{_datadir} \
      --includedir=%{_includedir} \
      --libdir=%{_libdir} \
      --libexecdir=%{_libexecdir} \
      --localstatedir=%{_localstatedir} \
      --sharedstatedir=%{_sharedstatedir} \
      --mandir=%{_mandir} \
      --infodir=%{_infodir} \
      --disable-maintainer-mode \
      --without-mbedtls \
      --without-openssl \
      --with-gnutls
%make_build

%install
%make_install

# No tests defined, do a sanity check
# uacme --help gives a return code of 2, so use which
# https://github.com/ndilieto/uacme/issues/50 
%check
which uacme --help
which uacme --version

%files
%{_bindir}/%{name}
%{_bindir}/ualpn
%{_datadir}/%{name}/%{name}.sh
%{_datadir}/%{name}/ualpn.sh
%{_datadir}/%{name}/nsupdate.sh
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/ualpn.1*
%{_docdir}/%{name}/%{name}.html
%{_docdir}/%{name}/ualpn.html
%license COPYING
%doc AUTHORS ChangeLog NEWS README THANKS

%changelog
* Thu Dec 08 2022 Morgan McMillian <morgan@mcmillian.dev> 1.7.3-1
- Update to uacme 1.7.3

* Sun Sep 04 2022 Morgan McMillian <morgan@mcmillian.dev> 1.7.2-1
- Update to uacme 1.7.2
